summaryrefslogtreecommitdiff
path: root/herbstluftwm/spmpv
diff options
context:
space:
mode:
Diffstat (limited to 'herbstluftwm/spmpv')
-rwxr-xr-xherbstluftwm/spmpv22
1 files changed, 22 insertions, 0 deletions
diff --git a/herbstluftwm/spmpv b/herbstluftwm/spmpv
new file mode 100755
index 0000000..76038ab
--- /dev/null
+++ b/herbstluftwm/spmpv
@@ -0,0 +1,22 @@
+#!/bin/sh
+scratchpad=/tmp/herbstluftwm:spmpv
+if [ -f "$scratchpad" ]; then
+ if xdotool search -class 'mpv'; then
+ if [ "$(herbstclient list_monitors | grep '[FOCUS]' | cut -d\" -f2)" = "$(herbstclient attr clients.$(cat $scratchpad) | grep 's - - tag' | awk '{ print $6 }' | sed 's/\"//g')" ]; then
+ xdotool search -class 'mpv' windowunmap
+ exit
+ fi
+ fi
+ if ! herbstclient bring $(cat $scratchpad); then
+ xdotool search -class 'mpv' windowmap && exit
+ fi
+ if ! xdotool search -class 'mpv' windowmap; then
+ xdotool search -sync -onlyvisible -class 'mpv'
+ herbstclient attr clients.focus.winid > $scratchpad
+ fi
+else
+ if ! xdotool search -class 'mpv' windowmap; then
+ xdotool search -sync -onlyvisible -class 'mpv'
+ herbstclient attr clients.focus.winid > $scratchpad
+ fi
+fi